org.openmuc.openiec61850

## Class BdaEntryTime

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaEntryTime

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaEntryTime
    extends BasicDataAttribute

BdaEntryTime stores time in terms of days and ms since 1984.

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaEntryTime(ObjectReference objectReference, Fc fc, java.lang.String sAddr, boolean dchg, boolean dupd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaEntryTime` `copy()` Returns a copy of model node with all of its children.
`long` `getTimestampValue()`
`byte[]` `getValue()`
`void` `setDefault()` Sets EntryTime to byte[6] with all zeros
`void` `setTimestamp(long timestamp)` Set the value of this object to the given timestamp, where timestamp is the number of ms since epoch 1970-01-01 00:00:00 UTC.
`void` `setValue(byte[] value)`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaEntryTime

    public BdaEntryTime(ObjectReference objectReference,
                        Fc fc,
                        java.lang.String sAddr,
                        boolean dchg,
                        boolean dupd)

### Method Detail

#### setTimestamp

    public void setTimestamp(long timestamp)

Set the value of this object to the given timestamp, where timestamp is the number of ms since epoch 1970-01-01 00:00:00 UTC. Note that timestamps before 1984 are not valid as they cannot be stored.

Parameters:
  `timestamp` - the number of ms since epoch 1970-01-01

#### getTimestampValue

    public long getTimestampValue()

#### setValue

    public void setValue(byte[] value)

#### getValue

    public byte[] getValue()

#### setDefault

    public void setDefault()

Sets EntryTime to byte[6] with all zeros

Specified by:
  `setDefault` in class `BasicDataAttribute`

#### copy

    public BdaEntryTime copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `FcModelNode`